> ## Documentation Index
> Fetch the complete documentation index at: https://docs.langchain.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List GitHub Repositories

> List available GitHub repositories for an integration that are available to deploy to LangSmith Deployment.



## OpenAPI

````yaml https://api.host.langchain.com/openapi.json get /v1/integrations/github/{integration_id}/repos
openapi: 3.1.0
info:
  title: LangSmith Deployment Control Plane API
  description: >
    The LangSmith Deployment Control Plane API is used to programmatically
    create and manage

    Agent Server deployments. For example, the APIs can be orchestrated to

    create custom CI/CD workflows.


    ## Host

    https://api.host.langchain.com


    ## Authentication

    To authenticate with the LangSmith Deployment Control Plane API, set the
    `X-Api-Key` header

    to a valid [LangSmith API
    key](https://docs.langchain.com/langsmith/create-account-api-key#create-an-api-key).


    ## Versioning

    Each endpoint path is prefixed with a version (e.g. `v1`, `v2`).


    ## Quick Start

    1. Call `POST /v2/deployments` to create a new Deployment. The response body
    contains the Deployment ID (`id`) and the ID of the latest (and first)
    revision (`latest_revision_id`).

    1. Call `GET /v2/deployments/{deployment_id}` to retrieve the Deployment.
    Set `deployment_id` in the URL to the value of Deployment ID (`id`).

    1. Poll for revision `status` until `status` is `DEPLOYED` by calling `GET
    /v2/deployments/{deployment_id}/revisions/{latest_revision_id}`.

    1. Call `PATCH /v2/deployments/{deployment_id}` to update the deployment.
  version: 0.1.0
servers: []
security: []
paths:
  /v1/integrations/github/{integration_id}/repos:
    get:
      tags:
        - Integrations (v1)
      summary: List GitHub Repositories
      description: >-
        List available GitHub repositories for an integration that are available
        to deploy to LangSmith Deployment.
      operationId: >-
        list_github_repositories_v1_integrations_github__integration_id__repos_get
      parameters:
        - name: integration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Integration ID
            description: GitHub integration ID.
          description: GitHub integration ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GithubRepository'
                title: >-
                  Response List Github Repositories V1 Integrations Github 
                  Integration Id  Repos Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
        - Tenant ID: []
        - Bearer Auth: []
components:
  schemas:
    GithubRepository:
      properties:
        host_integration_id:
          type: string
          format: uuid
          title: GitHub Integration ID
          description: >-
            GitHub Integration ID.<br><br>For example, in the `POST
            /v2/deployments` request body, set `integration_id` to the value of
            this field.
        id:
          type: integer
          title: ID
          description: GitHub repository ID.
        name:
          type: string
          title: Name
          description: GitHub repository name.
        owner:
          type: string
          title: Owner
          description: GitHub repository owner.
        url:
          type: string
          title: URL
          description: >-
            GitHub repository URL.<br><br>For example, in the `POST
            /v2/deployments` request body, set `source_config.repo_url` to the
            value of this field.
        default_branch:
          type: string
          title: Default Branch
          description: >-
            GitHub repository default branch.<br><br>For example, in the `POST
            /v2/deployments` request body, set `source_revision_config.repo_ref`
            to the value of this field.
      type: object
      required:
        - host_integration_id
        - id
        - name
        - owner
        - url
        - default_branch
      title: GithubRepository
      description: Metadata for a GitHub repository.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````